Bug 964354 - Project-wide search & replace input field should not truncate the trailing space
Project-wide search & replace input field should not truncate the trailing space
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David Mason
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 22:19 EDT by Yuko Katabami
Modified: 2015-07-30 21:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:13:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yuko Katabami 2013-05-17 22:19:05 EDT
Description of problem:
In Project-wide search & replace, a space character is ignored when inserted at the end of the search key word.
It should be able to be recognized.

Version-Release number of selected component (if applicable): 2.3.2


How reproducible: Always


Steps to Reproduce:
1. In project-wide search & replace, enter a search keyword which ends with a space character. (e.g. "、" + "space"
2. Run search

  
Actual results:
Search results include strings that do not contain a space character at the end.

Expected results:

It should only show the results including a space character
Additional info:
Comment 4 Ding-Yi Chen 2014-03-20 21:21:36 EDT
After I talked with some translators, I found that the real requirement is to make the search more text editor like (not Google like). 

For example, when searching "amazing grace"
"amazing grace" and "unamazing graceless" should be found, but not
"amazing godly grace"
Comment 5 Ding-Yi Chen 2014-03-20 22:43:17 EDT
After a few more test, it looks that trailing space of search term was truncated before search.

Steps to Reproduce:
1. In project-wide search & replace, enter a search keyword which ends with a space character. (e.g. "、" + "space")
2. Run search

  
Actual results:
1. The trailing space is missing in the search field.
2. Search results include strings that do not contain a space character at the end.

Expected results:
1. The trailing space should be kept.
2. It should only show the results including a space character.
Comment 6 Zanata Migrator 2015-07-30 21:13:20 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-361

Note You need to log in before you can comment on or make changes to this bug.